'use strict';

const nodeVertexShader = `
  attribute float size;
  attribute vec3 customColor;
  attribute float opacity;

  varying vec3 vColor;
  varying float vOpacity;

  void main () {
    vColor = customColor;
    vOpacity = opacity;

    vec4 worldPosition = modelViewMatrix * vec4(position, 1.0);

    gl_PointSize = size * (300.0 / length(worldPosition.xyz));
    gl_Position = projectionMatrix * worldPosition;
  }
`;
